mirror of https://lore.kernel.org/lkml/
 help / color / mirror / Atom feed
From: Namhyung Kim <namhyung@kernel.org>
To: Arnaldo Carvalho de Melo <acme@kernel.org>, Jiri Olsa <jolsa@kernel.org>
Cc: Ingo Molnar <mingo@kernel.org>,
	Peter Zijlstra <peterz@infradead.org>,
	LKML <linux-kernel@vger.kernel.org>,
	Ian Rogers <irogers@google.com>,
	linux-perf-users@vger.kernel.org,
	Adrian Hunter <adrian.hunter@intel.com>
Subject: [PATCH 1/6] perf test: Do not use instructions:u explicitly
Date: Tue,  6 Sep 2022 23:46:40 -0700	[thread overview]
Message-ID: <20220907064645.1197894-2-namhyung@kernel.org> (raw)
In-Reply-To: <20220907064645.1197894-1-namhyung@kernel.org>

I think it's to support non-root user tests.  But perf record can handle
the case and fall back to a software event (cpu-clock).  Practically this
would affect when it's run on a VM, but it seems no reason to prevent running
the test in the guest.

Signed-off-by: Namhyung Kim <namhyung@kernel.org>
---
 tools/perf/tests/shell/record.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/tools/perf/tests/shell/record.sh b/tools/perf/tests/shell/record.sh
index 00c7285ce1ac..40b087bfdb76 100755
--- a/tools/perf/tests/shell/record.sh
+++ b/tools/perf/tests/shell/record.sh
@@ -21,18 +21,18 @@ trap trap_cleanup exit term int
 
 test_per_thread() {
   echo "Basic --per-thread mode test"
-  if ! perf record -e instructions:u -o ${perfdata} --quiet true 2> /dev/null
+  if ! perf record -o /dev/null --quiet true 2> /dev/null
   then
-    echo "Per-thread record [Skipped instructions:u not supported]"
+    echo "Per-thread record [Skipped event not supported]"
     if [ $err -ne 1 ]
     then
       err=2
     fi
     return
   fi
-  if ! perf record -e instructions:u --per-thread -o ${perfdata} true 2> /dev/null
+  if ! perf record --per-thread -o ${perfdata} true 2> /dev/null
   then
-    echo "Per-thread record of instructions:u [Failed]"
+    echo "Per-thread record [Failed record]"
     err=1
     return
   fi
@@ -49,7 +49,7 @@ test_register_capture() {
   echo "Register capture test"
   if ! perf list | egrep -q 'br_inst_retired.near_call'
   then
-    echo "Register capture test [Skipped missing instruction]"
+    echo "Register capture test [Skipped missing event]"
     if [ $err -ne 1 ]
     then
       err=2
-- 
2.37.2.789.g6183377224-goog


  reply	other threads:[~2022-09-07  6:47 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-07  6:46 [PATCHSET 0/6] perf test: Improve perf record tests (v1) Namhyung Kim
2022-09-07  6:46 ` Namhyung Kim [this message]
2022-09-07  7:56   ` [PATCH 1/6] perf test: Do not use instructions:u explicitly Adrian Hunter
2022-09-07  6:46 ` [PATCH 2/6] perf test: Use a test program in perf record tests Namhyung Kim
2022-09-07 10:44   ` Adrian Hunter
2022-09-07 17:38     ` Namhyung Kim
2022-09-07 13:16   ` Adrian Hunter
2022-09-07 13:24     ` Adrian Hunter
2022-09-07 17:40       ` Namhyung Kim
2022-09-07  6:46 ` [PATCH 3/6] perf test: Test record with --threads option Namhyung Kim
2022-09-07 13:33   ` Adrian Hunter
2022-09-07 17:41     ` Namhyung Kim
2022-09-07  6:46 ` [PATCH 4/6] perf test: Add system-wide mode in perf record tests Namhyung Kim
2022-09-07 15:20   ` Adrian Hunter
2022-09-07  6:46 ` [PATCH 5/6] perf test: Add target workload test " Namhyung Kim
2022-09-13 11:03   ` Adrian Hunter
2022-09-13 17:28     ` Namhyung Kim
2022-09-07  6:46 ` [PATCH 6/6] perf test: Do not set TEST_SKIP for record subtests Namhyung Kim
2022-09-13 11:28   ` Adrian Hunter

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220907064645.1197894-2-namhyung@kernel.org \
    --to=namhyung@kernel.org \
    --cc=acme@kernel.org \
    --cc=adrian.hunter@intel.com \
    --cc=irogers@google.com \
    --cc=jolsa@kernel.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-perf-users@vger.kernel.org \
    --cc=mingo@kernel.org \
    --cc=peterz@infradead.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox

all inboxes | Powered by JetHome®